<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    #{dataTableStateHolder.setAscendingOn('actor')}
    <rich:dataTable id="communicationsTable" value="#{communications}" var="com"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ncDS">
        <g:column sortBy="#{'actor'}" sortOrder="#{dataTableStateHolder.sortOrders['actor']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.Actor']}</ui:define>
            <h:outputText value="#{com.actor}"/>
        </g:column>
        <g:column sortBy="#{'type'}" sortOrder="#{dataTableStateHolder.sortOrders['type']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.Type']}</ui:define>
            <h:outputText value="#{com.type.friendlyName}"/>
        </g:column>
        <g:column sortBy="#{'usage'}" sortOrder="#{dataTableStateHolder.sortOrders['usage']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.Usage']}</ui:define>
            <h:outputText value="#{com.usage}"/>
        </g:column>
        <ui:insert name="moreColumns"/>

        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ncDS"/>
                <ui:param name="dataTableId" value="communicationsTable"/>
            </ui:include>
        </f:facet>
        
    </rich:dataTable>
</ui:composition>
